# Introduction

## Fachthemen
- OSI-, Hybrid und TCP/IP-Referenzmodell
- Datenkapselung / -entkapselung
- Sockets, Protokollgraph
- Hardwarebausteine bzw. Kopplungselemente
- ICMP, ARP, DHCP und DNS
- Strukturierte Verkabelung
- Kollisions- und Broadcast-Domäne
- Ethernet (IEEE 802.3) mit CSMA/CD
- Wireless LAN (IEEE 802.11) mit CSMA/CA und RTS/CTS
- Subnetting (IPv4), Berechnung kleiner Subnetze
- Routing versus Switching, VLAN, MPLS
- Sockets (Prozess-zu-Prozess-Kommunikation)
- 5er-Tupel (Quell-IP, Quell-Port, Ziel-IP, Ziel-Port, Transportprotokoll)
- Router, Routing Protokolle und Distance Vector Routing
- UDP(Header) und TCP(Header)
- TCP Verbindungsauf- und abbau
- TCP Flusskontrolle und Sliding Window
- TCP Fehlerbehandlung durch Go-Back-N und Selective Repeat
- TCP Slow Start und Congestion Avoidance
- FLow Control versus Congestion Control
- Silly-Window-Problem und Lösungen (Clarke und Nagle)
- Gute Abschätzungen für TCP Timeout (Jacobson/Karels)
- HTTP1.1 und HTTP2 über TLS und TCP
- HTTP3 über (TLS1.3 und QUIC) über UDP